<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::settings::Settings Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a2c88b6003f703d1d3e7e0659a815510f">addGlobalSettingsObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::GlobalSettingsObserverInterface &gt; globalSettingsObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a1f45f5f7f8a37ef81a2d7b689e529ace">addSingleSettingObserver</a>(const std::string &amp;key, std::shared_ptr&lt; avsCommon::sdkInterfaces::SingleSettingObserverInterface &gt; settingsObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#ac25a76543c6167dd86a3eef9ff5a814e">changeSetting</a>(const std::string &amp;key, const std::string &amp;value)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a2eeec99cb9ac3877f708d0e1a2439dc1">clearData</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a3900feba7964d1301b188f0c2bd03e15">create</a>(std::shared_ptr&lt; SettingsStorageInterface &gt; settingsStorage, std::unordered_set&lt; std::shared_ptr&lt; avsCommon::sdkInterfaces::GlobalSettingsObserverInterface &gt;&gt; observers, std::shared_ptr&lt; registrationManager::CustomerDataManager &gt; dataManager)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html#a2246fb7b5773b2d9643e880bde58acf9">CustomerDataHandler</a>(std::shared_ptr&lt; CustomerDataManager &gt; customerDataManager)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">alexaClientSDK::registrationManager::CustomerDataHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a8a8433e5aeaea219dc515c2753b3a1fe">getCapabilityConfigurations</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a7d0e615268ae97d4267ff206cc9b5f6e">removeGlobalSettingsObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::GlobalSettingsObserverInterface &gt; globalSettingsObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#ace993c0b2241b7e8e5f236a2d9ba68c9">removeSingleSettingObserver</a>(const std::string &amp;key, std::shared_ptr&lt; avsCommon::sdkInterfaces::SingleSettingObserverInterface &gt; settingObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html#a3dd3b15e274a822427472df4ef75f7ba">sendDefaultSettings</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">alexaClientSDK::capabilityAgents::settings::Settings</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html#ac5cec30da8c9039ec5eea44b82f018eb">~CapabilityConfigurationInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html#a067f8855e7ac0c05fc190b6b2e8e2d19">~CustomerDataHandler</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_customer_data_handler.html">alexaClientSDK::registrationManager::CustomerDataHandler</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
